package com.dcsoft.system.service;

import java.util.List;
import com.dcsoft.system.domain.SysBlackList;
import com.dcsoft.system.visitor.domain.Visitor;

/**
 * 黑名单管理Service接口
 * 
 * @author nichun
 * @date 2023-07-03
 */
public interface ISysBlackListService 
{
    /**
     * 查询黑名单管理
     * 
     * @param id 黑名单管理主键
     * @return 黑名单管理
     */
    public SysBlackList selectSysBlackListById(Long id);

    /**
     * 查询黑名单管理列表
     * 
     * @param sysBlackList 黑名单管理
     * @return 黑名单管理集合
     */
    public List<SysBlackList> selectSysBlackListList(SysBlackList sysBlackList);

    /**
     * 新增黑名单管理
     * 
     * @param sysBlackList 黑名单管理
     * @return 结果
     */
    public int insertSysBlackList(SysBlackList sysBlackList);

    /**
     * 修改黑名单管理
     * 
     * @param sysBlackList 黑名单管理
     * @return 结果
     */
    public int updateSysBlackList(SysBlackList sysBlackList);

    /**
     * 批量删除黑名单管理
     * 
     * @param ids 需要删除的黑名单管理主键集合
     * @return 结果
     */
    public int deleteSysBlackListByIds(Long[] ids);

    /**
     * 删除黑名单管理信息
     * 
     * @param id 黑名单管理主键
     * @return 结果
     */
    public int deleteSysBlackListById(Long id);

    SysBlackList queryBlackById(Visitor visitor);
}
